[arch-commits] Commit in libxcursor/trunk (PKGBUILD)

Ronald van Haren ronald at archlinux.org
Wed Oct 15 10:19:55 EDT 2008


    Date: Wednesday, October 15, 2008 @ 10:19:55
  Author: ronald
Revision: 15564

fix license

Modified:
  libxcursor/trunk/PKGBUILD

----------+
 PKGBUILD |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-15 14:15:57 UTC (rev 15563)
+++ PKGBUILD	2008-10-15 14:19:55 UTC (rev 15564)
@@ -11,6 +11,8 @@
 makedepends=('pkgconfig')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libXcursor-${pkgver}.tar.bz2)
+license=('custom')
+md5sums=('99b7554037a92b260891091e81815a0a')
 
 build() {
   cd ${startdir}/src/libXcursor-${pkgver}
@@ -18,5 +20,8 @@
               --build=${CHOST} --host=${CHOST}
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+
+  # install custom license
+  install -Dm644 $srcdir/libXcursor-$pkgver/COPYING \
+	$pkgver/usr/share/licenses/$pkgname/COPYING || return 1
 }
-md5sums=('99b7554037a92b260891091e81815a0a')




More information about the arch-commits mailing list